Subject: linux-next: build warning after merge of the vfs-brauner tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 13 Aug 2024 13:40:10 +1000

Hi all,

After merging the vfs-brauner tree, today's linux-next build (arm64
defconfig) produced this warning:

<stdin>:1603:2: warning: #warning syscall setxattrat not implemented [-Wcpp]
<stdin>:1606:2: warning: #warning syscall getxattrat not implemented [-Wcpp]
<stdin>:1609:2: warning: #warning syscall listxattrat not implemented [-Wcpp]
<stdin>:1612:2: warning: #warning syscall removexattrat not implemented [-Wcpp]

Presumably introduced by commit

  1810bb54fc6e ("fs/xattr: add *at family syscalls")

-- 
Cheers,
Stephen Rothwell